"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const os_1 = require("os");
const prismjs_1 = __importDefault(require("prismjs"));
const pure_1 = __importDefault(require("./pure"));
class default_1 {
    constructor(lineNumbers) {
        this.lineNumbers = lineNumbers;
    }
    codeRender(block, lang, lineNumbers) {
        let codeString;
        if (!lang) {
            codeString = (0, pure_1.default)(block);
        }
        else {
            const grammar = prismjs_1.default.languages[lang];
            codeString = grammar
                ? `<pre class="language-${lang}">${prismjs_1.default.highlight(block, grammar, lang).trim()}</pre>`
                : (0, pure_1.default)(block);
        }
        const line = `<pre class="language-none">${block.split(os_1.EOL).map((n, i) => `<span>${i + 1}</span>`).join('\n')}</pre>`;
        const codeWidthLines = `<div class="code-highlight">
  <table>
    <tbody>
      <tr>
        <td class="code-highlight-line">${line}</td>
        <td class="code-highlight-code">${codeString}</td>
      </tr>
    </tbody>
  </table>
</div>`;
        if (lineNumbers === false) {
            return codeString;
        }
        if (lineNumbers) {
            return codeWidthLines;
        }
        return this.lineNumbers ? codeWidthLines : codeString;
    }
}
exports.default = default_1;
