"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.unescapes = exports.escapes = void 0;
const map = {
    '&': '&amp;',
    '<': '&lt;',
    '>': '&gt;',
    '"': '&quot;',
    "'": '&#39;',
    '/': '&#x2F;',
    '`': '&#x60;',
    '=': '&#x3D;',
};
const reverse = {};
Object.keys(map).forEach((key) => {
    reverse[map[key]] = key;
});
const escapes = (t) => t.replace(/[&<>"'`=/]/g, (n) => map[n]);
exports.escapes = escapes;
const unescapes = (t) => {
    let next = t;
    Object.keys(reverse).forEach((key) => {
        const regex = new RegExp(key, 'g');
        next = next.replace(regex, reverse[key]);
    });
    return next;
};
exports.unescapes = unescapes;
