"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const regex = /[^<]*(<a href="([^"]+)">([^<]+)<\/a>)/;
exports.default = (getHeadingId) => (text, level) => {
    const marched = text.match(regex);
    const id = (getHeadingId === null || getHeadingId === void 0 ? void 0 : getHeadingId(text)) || text;
    if (!marched) {
        return `<h${level}>
  <a href="#${id}" id="${id}"></a>${text}
</h${level}>`;
    }
    return `<h${level}>
  <a href="${marched[2]}" id="${marched[2].split('#')[1]}"></a>${marched[3]}
</h${level}>`;
};
