"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const katex_1 = __importDefault(require("katex"));
const escapes_1 = require("./escapes");
const regex = /(\${1,2})((?:\\.|[\s\S])*?)\1/;
exports.default = (text) => {
    const block = regex.exec(text);
    if (block) {
        if (block[0] === '$$') {
            return `<p>${text}</p>`;
        }
        const unescaped = (0, escapes_1.unescapes)(block[2]);
        const math = katex_1.default.renderToString(unescaped);
        if (block[1] === '$' || block[0] === block.input) {
            return `<p class="latex-math">${text.replace(block[0], math)}</p>`;
        }
        return `<p>${text.replace(block[0], `</p>
  <div class="latex-math" style="text-align:center">
    ${math}
  </div>
<p>`)}</p>`;
    }
    return `<p>${text}</p>`;
};
