"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const code_1 = __importDefault(require("./code"));
const latex_1 = __importDefault(require("./latex"));
const list_1 = __importDefault(require("./list"));
const heading_1 = __importDefault(require("./heading"));
class default_1 extends code_1.default {
    constructor(config) {
        super(config === null || config === void 0 ? void 0 : config.lineNumbers);
        this.getHeadingId = config === null || config === void 0 ? void 0 : config.getHeadingId;
    }
    markedRender(options) {
        const { lineNumbers, getHeadingId = this.getHeadingId, } = options || {};
        return {
            listitem: list_1.default,
            paragraph: latex_1.default,
            code: (block, lang) => this.codeRender(block, lang, lineNumbers),
            heading: (0, heading_1.default)(getHeadingId),
        };
    }
}
exports.default = default_1;
